---
title: list-style
slug: Web/CSS/list-style
tags:
  - CSS
  - CSS Lists
  - CSS Property
  - Reference
  - 'recipe:css-shorthand-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>list-style</code></strong> CSS <a href="/en-US/docs/Web/CSS/Shorthand_properties">shorthand property</a> allows you set all the list style properties at once.</p>

<div>{{EmbedInteractiveExample("pages/css/list-style.html")}}</div>

<div class="note">
<p><strong>Note:</strong> This property is applied to list items, i.e., elements with <code>{{cssxref("display")}}: list-item;</code> . <a href="https://www.w3.org/TR/html5/rendering.html#lists">By default</a> this includes {{HTMLElement("li")}} elements. Because this property is inherited, it can be set on a parent element (normally {{HTMLElement("ol")}} or {{HTMLElement("ul")}}) to make the same list styling apply to all the items inside.</p>
</div>

<h2 id="Constituent_properties">Constituent properties</h2>

<p>This property is a shorthand for the following CSS properties:</p>

<ul>
 <li><a href="/en-US/docs/Web/CSS/list-style-image"><code>list-style-image</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/list-style-position"><code>list-style-position</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/list-style-type"><code>list-style-type</code></a></li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* type */
list-style: square;

/* image */
list-style: url('../img/shape.png');

/* position */
list-style: inside;

/* type | position */
list-style: georgian inside;

/* type | image | position */
list-style: lower-roman url('../img/shape.png') outside;

/* Keyword value */
list-style: none;

/* Global values */
list-style: inherit;
list-style: initial;
list-style: unset;
</pre>

<p>The <code>list-style</code> property is specified as one, two, or three keywords in any order. If {{cssxref("list-style-type")}} and {{cssxref("list-style-image")}} are both set, then <code>list-style-type</code> is used as a fallback if the image is unavailable.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("list-style-type")}}</dt>
 <dd>See {{cssxref("list-style-type")}}.</dd>
 <dt>{{cssxref("list-style-image")}}</dt>
 <dd>See {{cssxref("list-style-image")}}.</dd>
 <dt>{{cssxref("list-style-position")}}</dt>
 <dd>See {{cssxref("list-style-position")}}.</dd>
 <dt><code>none</code></dt>
 <dd>No list style is used.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Safari has an issue whereby unordered lists with a <code>list-style</code> value of <code>none</code> applied to them will not be recognized as a list in the accessibility tree. To address this, add a <a href="https://en.wikipedia.org/wiki/Zero-width_space">zero-width space</a> as <a href="/en-US/docs/Web/CSS/content">pseudo-content</a> before each list item to ensure the list is recognized properly. This ensures the design is unaffected by the bug fix and that list items are not improperly described.</p>

<pre class="brush: css notranslate">ul {
  list-style: none;
}

ul li::before {
  content: "\200B";
}
</pre>

<ul>
 <li><a href="https://unfetteredthoughts.net/2017/09/26/voiceover-and-list-style-type-none/">VoiceOver and list-style-type: none – Unfettered Thoughts</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.3_%E2%80%94_Create_content_that_can_be_presented_in_different_ways">MDN Understanding WCAG, Guideline 1.3 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/content-structure-separation-programmatic.html" rel="noopener">Understanding Success Criterion 1.3.1 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_list_style_type_and_position">Setting list style type and position</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">List 1
&lt;ul class="one"&gt;
  &lt;li&gt;List Item1&lt;/li&gt;
  &lt;li&gt;List Item2&lt;/li&gt;
  &lt;li&gt;List Item3&lt;/li&gt;
&lt;/ul&gt;
List 2
&lt;ul class="two"&gt;
  &lt;li&gt;List Item A&lt;/li&gt;
  &lt;li&gt;List Item B&lt;/li&gt;
  &lt;li&gt;List Item C&lt;/li&gt;
&lt;/ul&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.one {
  list-style: circle;
}

.two {
  list-style: square inside;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_list_style_type_and_position', 'auto', 220)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Lists', '#list-style-property', 'list-style')}}</td>
   <td>{{Spec2('CSS3 Lists')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'generate.html#propdef-list-style', 'list-style')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.list-style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("list-style-type")}}, {{Cssxref("list-style-image")}}, {{Cssxref("list-style-position")}}</li>
</ul>
